Page MenuHomePhabricator

interfaces: move pointer_iterate method efl.canvas.scene -> efl.ui.win
ClosedPublic

Authored by zmike on Feb 14 2019, 12:25 PM.

Details

Summary

this method should probably be merged into a gesture class somewhere,
but it's @beta anyway so shuffling it around to reduce spaghettification
of code is fine for now

ref T7584

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Feb 14 2019, 12:25 PM
zmike requested review of this revision.Feb 14 2019, 12:25 PM
cedric requested changes to this revision.Feb 14 2019, 2:13 PM
cedric added inline comments.
src/lib/elementary/efl_ui_win.eo
157

Did you remove the @beta tag on purpose in this patch as you are not stating it in the commit message?

This revision now requires changes to proceed.Feb 14 2019, 2:13 PM
zmike added a comment.Feb 15 2019, 5:59 AM

Good catch, the @beta patch came in while I was doing this so I guess I messed up the rebase.

zmike updated this revision to Diff 19440.Feb 15 2019, 6:01 AM
zmike edited the summary of this revision. (Show Details)
cedric accepted this revision.Feb 15 2019, 11:43 AM
This revision is now accepted and ready to land.Feb 15 2019, 11:43 AM
bu5hm4n accepted this revision.Feb 21 2019, 11:20 AM
Closed by commit rEFLe16648610756: interfaces: move pointer_iterate method efl.canvas.scene -> efl.ui.win (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 21 2019, 11:24 AM
This revision was automatically updated to reflect the committed changes.